|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Qt 3 Support Members for QSlider

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QSlider class reference

### Public Functions

- QSlider ( QWidget * parent, const char * name )
- QSlider ( Qt::Orientation orientation, QWidget * parent, const char * name )
- QSlider ( int minValue, int maxValue, int pageStep, int value, Qt::Orientation orientation, QWidget * parent = 0, const char * name = 0 )
- void setTickmarks ( TickPosition position )
- TickPosition tickmarks () const

- 11 public functions inherited from QAbstractSlider
- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

### Public Slots

- void addStep ()
- void subtractStep ()

- 1 public slot inherited from QWidget

## Member Function Documentation

### QSlider::QSlider ( QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QSlider::QSlider ( Qt::Orientation orientation, QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QSlider::QSlider ( int minValue, int maxValue, int pageStep, int value, Qt::Orientation orientation, QWidget * parent = 0, const char * name = 0 )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### void QSlider::addStep () `[slot]`

Use setValue() instead.

### void QSlider::setTickmarks ( TickPosition position )

Use setTickPosition() instead.

### void QSlider::subtractStep () `[slot]`

Use setValue() instead.

### TickPosition QSlider::tickmarks () const

Use tickPosition() instead.